#
# (P) Marathon2010, last change 1-Sep-23 
#
##### BASE CONFIGURATIONS - CHANGE THESE CONFIG TO OWN NEEDS
#
host="xxx:yyy"                                             # host url Synology NAS including portnumber
account="username"                                         # user account for login on NAS, should have AudioStation permissions
password="password"                                        # user account's password
cookiefile="$DIR/cookie_audio.txt"                         # define the cookie file
#
##### CONFIGURATIONS - NO NEED TO CHANGE AS THIS IS STANDARD API SYNOLOGY
#
pathweb="/webapi/"                                         # path to Synology API
pathAuthorization=$host$pathweb"entry.cgi"                 # CGI for authorization
pathPlayer=$host$pathweb"AudioStation/remote_player.cgi"   # CGI for remote player
pathPlaylist=$host$pathweb"AudioStation/playlist.cgi"      # CGI for playlist
pathRadio=$host$pathweb"AudioStation/radio.cgi"            # CGI for radio

apiAuthorization="?api=SYNO.API.Auth"                      # API specification for authorization
apiInfo="?api=SYNO.API.Info"                               # API specification for info
apiPlayer="?api=SYNO.AudioStation.RemotePlayer"            # API specification for remote player
apiPlaylist="?api=SYNO.AudioStation.Playlist"              # API specification for playlist
apiRadio="?api=SYNO.AudioStation.Radio"                    # API specification for radio